<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>propclass/chars.h Source File (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">propclass/chars.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    Crystal Space Entity Layer</span>
<a name="l00003"></a>00003 <span class="comment">    Copyright (C) 2001 by Jorrit Tyberghein</span>
<a name="l00004"></a>00004 <span class="comment">  </span>
<a name="l00005"></a>00005 <span class="comment">    This library is free software; you can redistribute it and/or</span>
<a name="l00006"></a>00006 <span class="comment">    modify it under the terms of the GNU Library General Public</span>
<a name="l00007"></a>00007 <span class="comment">    License as published by the Free Software Foundation; either</span>
<a name="l00008"></a>00008 <span class="comment">    version 2 of the License, or (at your option) any later version.</span>
<a name="l00009"></a>00009 <span class="comment">  </span>
<a name="l00010"></a>00010 <span class="comment">    This library is distributed in the hope that it will be useful,</span>
<a name="l00011"></a>00011 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00012"></a>00012 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
<a name="l00013"></a>00013 <span class="comment">    Library General Public License for more details.</span>
<a name="l00014"></a>00014 <span class="comment">  </span>
<a name="l00015"></a>00015 <span class="comment">    You should have received a copy of the GNU Library General Public</span>
<a name="l00016"></a>00016 <span class="comment">    License along with this library; if not, write to the Free</span>
<a name="l00017"></a>00017 <span class="comment">    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.</span>
<a name="l00018"></a>00018 <span class="comment">*/</span>
<a name="l00019"></a>00019 
<a name="l00020"></a>00020 <span class="preprocessor">#ifndef __CEL_PF_CHARS__</span>
<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define __CEL_PF_CHARS__</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span>
<a name="l00023"></a>00023 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cstypes_8h.html">cstypes.h</a>&quot;</span>
<a name="l00024"></a>00024 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/scf_8h.html">csutil/scf.h</a>&quot;</span>
<a name="l00025"></a>00025 
<a name="l00026"></a>00026 <span class="keyword">struct </span><a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>;
<a name="l00027"></a>00027 <span class="keyword">struct </span><a class="code" href="structiPcInventory.html" title="This is an inventory property class.">iPcInventory</a>;
<a name="l00028"></a>00028 
<a name="l00039"></a><a class="code" href="structiPcCharacteristics.html">00039</a> <span class="keyword">struct </span><a class="code" href="structiPcCharacteristics.html" title="This is a characteristics property class.">iPcCharacteristics</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00040"></a>00040 {
<a name="l00041"></a>00041   SCF_INTERFACE (<a class="code" href="structiPcCharacteristics.html" title="This is a characteristics property class.">iPcCharacteristics</a>, 0, 0, 1);
<a name="l00042"></a>00042 
<a name="l00048"></a>00048   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcCharacteristics.html#ab63c5cac2b5827697d035094f1a0fad4" title="Set characteristic property.">SetCharacteristic</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name, <span class="keywordtype">float</span> value) = 0;
<a name="l00049"></a>00049 
<a name="l00060"></a>00060   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcCharacteristics.html#a1d74aaead2db36f17b299506d9f76468" title="Indicate how this characteristic is inherited if this object contains an inventory.">SetInheritedCharacteristic</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name,
<a name="l00061"></a>00061                   <span class="keywordtype">float</span> factor, <span class="keywordtype">float</span> add) = 0;
<a name="l00062"></a>00062 
<a name="l00067"></a>00067   <span class="keyword">virtual</span> <span class="keywordtype">float</span> <a class="code" href="structiPcCharacteristics.html#ad91240c21b9d25a9365473b8d7e0069e" title="Get characteristic property.">GetCharacteristic</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) <span class="keyword">const</span> = 0;
<a name="l00068"></a>00068 
<a name="l00073"></a>00073   <span class="keyword">virtual</span> <span class="keywordtype">float</span> <a class="code" href="structiPcCharacteristics.html#a83dd879142eecfcaa3d522bb952c0113" title="Get local characteristic property.">GetLocalCharacteristic</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) <span class="keyword">const</span> = 0;
<a name="l00074"></a>00074 
<a name="l00079"></a>00079   <span class="keyword">virtual</span> <span class="keywordtype">float</span> <a class="code" href="structiPcCharacteristics.html#a50b4613263551a1c55e973b2bf21e0ef" title="Get inherited characteristic property.">GetInheritedCharacteristic</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) <span class="keyword">const</span> = 0;
<a name="l00080"></a>00080 
<a name="l00086"></a>00086   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcCharacteristics.html#ab85e27b1f0b6554c40bf770ecf4a28bd" title="Clear a characteristic.">ClearCharacteristic</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00087"></a>00087 
<a name="l00091"></a>00091   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcCharacteristics.html#a2425c8b884cf88c1abd6d5bf0117edf3" title="Returns true if a property is present.">HasCharacteristic</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) <span class="keyword">const</span> = 0;
<a name="l00092"></a>00092 
<a name="l00099"></a>00099   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcCharacteristics.html#a53006b5aaa554e853e9ff0ea9f9ce640" title="Clear all properties.">ClearAll</a> () = 0;
<a name="l00100"></a>00100 
<a name="l00106"></a>00106   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCharacteristics.html#adbb4ac7d5e7e499b178bbeb15a0fc7d2" title="Indicate that this object is added to some inventory.">AddToInventory</a> (<a class="code" href="structiPcInventory.html" title="This is an inventory property class.">iPcInventory</a>* inv) = 0;
<a name="l00107"></a>00107 
<a name="l00113"></a>00113   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCharacteristics.html#ad745ee9eac4b591f28dac7c94766a70b" title="Indicate that this object is removed from some inventory.">RemoveFromInventory</a> (<a class="code" href="structiPcInventory.html" title="This is an inventory property class.">iPcInventory</a>* inv) = 0;
<a name="l00114"></a>00114 
<a name="l00120"></a>00120   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCharacteristics.html#ab3f59dfb199da56e5dd35e270db4163f" title="Mark this characteristic as dirty for all inventories this entity is in.">MarkDirty</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* charName) = 0;
<a name="l00121"></a>00121 
<a name="l00127"></a>00127   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcCharacteristics.html#a0e6901afadb5fbf71df6f184a95b8883" title="Test constraints for this characteristic for all inventories this entity is in.">TestConstraints</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* charName) = 0;
<a name="l00128"></a>00128 
<a name="l00132"></a>00132   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCharacteristics.html#a0390526c397dc2f10e4126691be190fe" title="Debug dump information.">Dump</a> () = 0;
<a name="l00133"></a>00133 };
<a name="l00134"></a>00134 
<a name="l00135"></a>00135 <span class="preprocessor">#endif // __CEL_PF_CHARS__</span>
<a name="l00136"></a>00136 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
